package com.bjtdba.wares.dao;

import com.bjtdba.entity.wares.StoreProduct;
import com.bjtdba.wares.dto.SearchCriteriaDto;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface StoreProductDao {

    StoreProduct selectByProductId(Integer product_id);

    int selectSechillByProductId(Integer product_id);

    List<StoreProduct> selectProductList(SearchCriteriaDto searchCriteriaDto);
    Long count(SearchCriteriaDto searchCriteriaDto);

    List<StoreProduct> selectCateProductList(SearchCriteriaDto searchCriteriaDto);
}
